summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoao Eduardo Luis <jecluis@gmail.com>2013-08-28 23:25:21 +0100
committerJoao Eduardo Luis <jecluis@gmail.com>2013-08-29 00:48:34 +0100
commitb2b0f202ea8a0028e7e27664b3ea6b9b8cdafe6e (patch)
tree6607b6cbeb592994e7ce4def80e06c2f7282e676
parent0e85074402cd02b292daadcb5b8e73ac1207d571 (diff)
downloadceph-b2b0f202ea8a0028e7e27664b3ea6b9b8cdafe6e.tar.gz
qa: workunits: mon: test snaps ops using rbd.
Regression test for #6047 Signed-off-by: Joao Eduardo Luis <jecluis@gmail.com>
-rwxr-xr-xqa/workunits/mon/rbd_snaps_ops.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/qa/workunits/mon/rbd_snaps_ops.sh b/qa/workunits/mon/rbd_snaps_ops.sh
new file mode 100755
index 00000000000..29e94df7cad
--- /dev/null
+++ b/qa/workunits/mon/rbd_snaps_ops.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+# attempt to trigger #6047
+
+
+cmd_no=0
+expect()
+{
+ cmd_no=$(($cmd_no+1))
+ cmd="$1"
+ expected=$2
+ echo "[$cmd_no] $cmd"
+ eval $cmd
+ ret=$?
+ if [[ $ret -ne $expected ]]; then
+ echo "[$cmd_no] unexpected return '$ret', expected '$expected'"
+ exit 1
+ fi
+}
+
+expect 'ceph osd pool create test 256 256' 0
+expect 'ceph osd pool mksnap test snapshot' 0
+expect 'ceph osd pool rmsnap test snapshot' 0
+
+expect 'rbd --pool=test create --size=102400 image' 0
+expect 'rbd --pool=test snap create image@snapshot' 22
+
+expect 'ceph osd pool delete test test --yes-i-really-really-mean-it' 0
+expect 'ceph osd pool create test 256 256' 0
+expect 'rbd --pool=test create --size=102400 image' 0
+expect 'rbd --pool=test snap create image@snapshot' 0
+expect 'rbd --pool=test snap ls image' 0
+expect 'rbd --pool=test snap rm image@snapshot' 0
+
+expect 'ceph osd pool mksnap test snapshot' 22
+
+expect 'ceph osd pool delete test test --yes-i-really-really-mean-it' 0
+
+echo OK